Page MenuHomePhabricator

Make saved filters title more prominent when applied
Closed, ResolvedPublic

Description

When a saved filter in the Recent Changes page is applied, the name is shown next to the "Active filters label". However this is not very noticeable.

Making it more prominent would help to confirm that a saved filter was applied and be useful as a title for the current review activity:

  • In order to increase the contrast, we can make the saved filter name to be shown in bold and using Base10 (#222) as a darker text color than the "Active filters" label (which will remain with the current color). The mockups below capture the idea:
  • In order to better signal that filters have been changed when saved filters are applied, a highlight transition can be used in the active filters area. The background of the area will become light blue using the Accent90 (#eaf3ff) color and fading to the current grey after a second. The diagram below illustrates the transition:

Details

Related Gerrit Patches:

Event Timeline

Pginer-WMF updated the task description. (Show Details)

Making the current filter setting more prominent is a good idea. But I don't support getting rid of the label "Active filters." The current filter setting is still the 'Active filter" (especially since we renamed the "saved settings" menu to "saved filters"). It's a useful label in both types of situation. Please come up with a design that leaves it in place while achieving the other goal.

Making the current filter setting more prominent is a good idea. But I don't support getting rid of the label "Active filters." The current filter setting is still the 'Active filter" (especially since we renamed the "saved settings" menu to "saved filters"). It's a useful label in both types of situation. Please come up with a design that leaves it in place while achieving the other goal.

Can you elaborate a bit more on the kind of problems you expect in this case (knowing this will be useful when considering other options). I think that a user that defined a set of filters as their "Top vandalism" for example, may associate the selected filters primarily with the name they gave them. We would be using a term that is more specific and in the user words to describe what those filters are doing.

Pginer-WMF updated the task description. (Show Details)Jul 10 2017, 11:03 AM
jmatazzoni removed Pginer-WMF as the assignee of this task.Jul 12 2017, 11:31 PM

Change 365196 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] [wip] RCFilters: Emphasize UI when saved query is loaded

https://gerrit.wikimedia.org/r/365196

Change 365196 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Emphasize UI when saved query is loaded

https://gerrit.wikimedia.org/r/365196

Checked in wmf.12 (enwiki). @Pginer-WMF, please confirm that the contrast between #54595d and #222 is ok.

Checked in wmf.12 (enwiki). @Pginer-WMF, please confirm that the contrast between #54595d and #222 is ok.

Yes. That is intentional to emphasise the filter applied.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Aug 4 2017, 4:47 PM